---
title: CSSStyleDeclaration.parentRule
slug: Web/API/CSSStyleDeclaration/parentRule
tags:
  - API
  - CSSOM
  - Property
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p><span class="seoSummary">The <strong>CSSStyleDeclaration.parentRule</strong> read-only property returns a {{domxref('CSSRule')}} that is the parent of this style block</span>, e.g. a {{domxref('CSSStyleRule')}} representing the style for a CSS selector.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>rule</em> = <em>styles</em>.parentRule;</pre>

<h3 id="Value">Value</h3>

<p>The CSS rule that contains this declaration block or <code>null</code> if this {{domxref('CSSStyleDeclaration')}} is not attached to a {{domxref('CSSRule')}}.</p>

<h2 id="Example">Example</h2>

<p>The following JavaScript code gets the parent CSS style rule from a {{domxref('CSSStyleDeclaration')}}:</p>

<pre class="brush: js notranslate">var declaration = document.styleSheets[0].rules[0].style;
var rule = declaration.parentRule;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-cssstyledeclaration-parentrule', 'CSSStyleDeclaration.parentRule')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSStyleDeclaration', 'CSSStyleDeclaration')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.parentRule")}}</p>
